function openTab(pageName, elmnt) {
    // Hide all elements with class="tabcontent" by default */
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("tabcontent");
    tablinks = document.getElementsByClassName("tablink");

    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
        tablinks[i].classList.remove("active");
    }
    
    // Show the specific tab content
    document.getElementById(pageName).style.display = "block";
    elmnt.classList.add("active");
}

function linkDatasetToField(detail, targetForm, inputName) {
    const validationForm = document.getElementById(targetForm);
    const resourceField = validationForm.querySelector(`input[name="${inputName}"]`);
    resourceField.value = JSON.stringify({ '@id': detail.dataset.src }); 
}

jQuery(document).ready(function($) {      
    // Get the element with id="defaultOpen" and click on it
    document.getElementById("defaultOpen").click();
    const detail = document.getElementById("detail-view");

    detail.addEventListener("populate", event => {   
        linkDatasetToField(detail, 'validation-form', 'resource');
        linkDatasetToField(detail, 'refusal-dialog-form', 'resource');
        linkDatasetToField(detail, 'improvement-dialog-form', 'resource');    
    });


 });